## ThunarStandardView

ThunarStandardView

## Functions

void | thunar_standard_view_context_menu ()
void | thunar_standard_view_queue_popup ()
void | thunar_standard_view_selection_changed ()
void | thunar_standard_view_set_history ()
ThunarHistory * | thunar_standard_view_get_history ()
ThunarHistory * | thunar_standard_view_copy_history ()
void | thunar_standard_view_append_menu_items ()
GtkWidget * | thunar_standard_view_append_menu_item ()
void | thunar_standard_view_set_searching ()
gchar * | thunar_standard_view_get_search_query ()
void | thunar_standard_view_update_statusbar_text ()
void | thunar_standard_view_save_view_type ()
GType | thunar_standard_view_get_saved_view_type ()
XfceGtkActionEntry * | thunar_standard_view_get_action_entries ()
void | thunar_standard_view_queue_redraw ()
void | thunar_standard_view_set_statusbar_text ()
void | thunar_standard_view_transfer_selection ()

## Properties

GtkAccelGroup * | accel-group | Write
gboolean | directory-specific-settings | Read / Write
char * | display-name | Read
char * | full-parsed-path | Read
GType * | model-type | Read / Write / Construct Only
ThunarColumn | sort-column | Read / Write
ThunarColumn | sort-column-default | Write / Construct Only
GtkSortType | sort-order | Read / Write
GtkSortType | sort-order-default | Write / Construct Only
char * | statusbar-text | Read
gboolean | thumbnail-draw-frames | Read / Write

## Signals

void | start-open-location | Run Last

## Types and Values

enum | ThunarStandardViewAction
| XfceGtkActionEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkScrolledWindow
                            ╰── ThunarStandardView
                                ├── ThunarAbstractIconView
                                ╰── ThunarDetailsView

## Description

## Functions

### thunar_standard_view_context_menu ()

    void
    thunar_standard_view_context_menu (ThunarStandardView *standard_view);

Invoked by derived classes (and only by derived classes!) whenever the user requests to open a context menu, e.g. by right-clicking on a file/folder or by using one of the context menu shortcuts.

#### Parameters

standard_view | a ThunarStandardView instance. |

### thunar_standard_view_queue_popup ()

    void
    thunar_standard_view_queue_popup (ThunarStandardView *standard_view,
                                      GdkEventButton *event);

Schedules a context menu popup in response to a right-click button event. Right-click events need to be handled in a special way, as the user may also start a drag using the right mouse button and therefore this function schedules a timer, which - once expired - opens the context menu. If the user moves the mouse prior to expiration, a right-click drag (with GDK_ACTION_ASK) will be started instead.

#### Parameters

standard_view | a ThunarStandardView. |
event | the right click event. |

### thunar_standard_view_selection_changed ()

    void
    thunar_standard_view_selection_changed
                                   (ThunarStandardView *standard_view);

Called by derived classes (and only by derived classes!) whenever the file selection changes.

Note, that this is also called internally whenever the number of files in the `standard_view` s model changes.

#### Parameters

standard_view | a ThunarStandardView instance. |

### thunar_standard_view_set_history ()

    void
    thunar_standard_view_set_history (ThunarStandardView *standard_view,
                                      ThunarHistory *history);

replaces the history of this ThunarStandardView with the passed history

#### Parameters

standard_view | a ThunarStandardView instance. |
history | the ThunarHistory to set. |

### thunar_standard_view_get_history ()

    ThunarHistory *
    thunar_standard_view_get_history (ThunarStandardView *standard_view);

returns the ThunarHistory of this ThunarStandardView

#### Parameters

standard_view | a ThunarStandardView instance. |

#### Returns

The ThunarHistory of this ThunarStandardView.

[transfer none]

### thunar_standard_view_copy_history ()

    ThunarHistory *
    thunar_standard_view_copy_history (ThunarStandardView *standard_view);

returns a copy of the ThunarHistory of this ThunarStandardView The caller has to release the passed history with `g_object_unref()` after use.

#### Parameters

standard_view | a ThunarStandardView instance. |

#### Returns

A copy of the ThunarHistory of this ThunarStandardView.

[transfer full]

### thunar_standard_view_append_menu_items ()

    void
    thunar_standard_view_append_menu_items
                                   (ThunarStandardView *standard_view,
                                    GtkMenu *menu,
                                    GtkAccelGroup *accel_group);

Appends widget-specific menu items to a GtkMenu and connects them to the passed GtkAccelGroup The concrete implementation depends on the concrete widget which is implementing this view

#### Parameters

standard_view | a ThunarStandardView. |
menu | the GtkMenu to add the menu items. |
accel_group | a GtkAccelGroup to be used used for new menu items |

### thunar_standard_view_append_menu_item ()

    GtkWidget *
    thunar_standard_view_append_menu_item (ThunarStandardView *standard_view,
                                           GtkMenu *menu,
                                           ThunarStandardViewAction action);

Adds the selected, widget specific GtkMenuItem to the passed GtkMenuShell

#### Parameters

standard_view | Instance of a ThunarStandardView |
menu | GtkMenuShell to which the item should be added |
action | ThunarStandardViewAction to select which item should be added |

#### Returns

The added GtkMenuItem.

[transfer none]

### thunar_standard_view_set_searching ()

    void
    thunar_standard_view_set_searching (ThunarStandardView *standard_view,
                                        gchar *search_query);

If `search_query` is not NULL a search is initialized for this view. If it is NULL and the view is displaying the results of a previous search it reverts to its normal contents.

#### Parameters

standard_view | a ThunarStandardView. |
search_query | the search string. |

### thunar_standard_view_get_search_query ()

    gchar *
    thunar_standard_view_get_search_query (ThunarStandardView *standard_view);

### thunar_standard_view_update_statusbar_text ()

    void
    thunar_standard_view_update_statusbar_text
                                   (ThunarStandardView *standard_view);

### thunar_standard_view_save_view_type ()

    void
    thunar_standard_view_save_view_type (ThunarStandardView *standard_view,
                                         GType type);

### thunar_standard_view_get_saved_view_type ()

    GType
    thunar_standard_view_get_saved_view_type
                                   (ThunarStandardView *standard_view);

### thunar_standard_view_get_action_entries ()

    XfceGtkActionEntry *
    thunar_standard_view_get_action_entries
                                   (void);

### thunar_standard_view_queue_redraw ()

    void
    thunar_standard_view_queue_redraw (ThunarStandardView *standard_view);

### thunar_standard_view_set_statusbar_text ()

    void
    thunar_standard_view_set_statusbar_text
                                   (ThunarStandardView *standard_view,
                                    const gchar *text);

### thunar_standard_view_transfer_selection ()

    void
    thunar_standard_view_transfer_selection
                                   (ThunarStandardView *standard_view,
                                    ThunarStandardView *old_view);

## Types and Values

### enum ThunarStandardViewAction

#### Members

THUNAR_STANDARD_VIEW_ACTION_SELECT_ALL_FILES |  |
THUNAR_STANDARD_VIEW_ACTION_SELECT_BY_PATTERN |  |
THUNAR_STANDARD_VIEW_ACTION_INVERT_SELECTION |  |
THUNAR_STANDARD_VIEW_ACTION_UNSELECT_ALL_FILES |  |
THUNAR_STANDARD_VIEW_ACTION_ARRANGE_ITEMS_MENU |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_BY_NAME |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_BY_SIZE |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_BY_TYPE |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_BY_MTIME |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_BY_DTIME |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_ASCENDING |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_DESCENDING |  |
THUNAR_STANDARD_VIEW_ACTION_SORT_ORDER_TOGGLE |  |
THUNAR_STANDARD_VIEW_N_ACTIONS |  |

### XfceGtkActionEntry

    typedef struct _XfceGtkActionEntry XfceGtkActionEntry;

## Property Details

### The `“accel-group”` property

      “accel-group”              GtkAccelGroup *

accel-group.

Owner: ThunarStandardView

Flags: Write

### The `“directory-specific-settings”` property

      “directory-specific-settings” gboolean

Whether to use directory specific settings.

Owner: ThunarStandardView

Flags: Read / Write

Default value: FALSE

### The `“display-name”` property

      “display-name”             char *

Display name of the current directory, for label text

Owner: ThunarStandardView

Flags: Read

Default value: NULL

### The `“full-parsed-path”` property

      “full-parsed-path”         char *

Full parsed path of the current directory, for label tooltip

Owner: ThunarStandardView

Flags: Read

Default value: NULL

### The `“model-type”` property

      “model-type”               GType *

Defines the GType of the model to be used. To be set by the different views for different models.

Owner: ThunarStandardView

Flags: Read / Write / Construct Only

Allowed values: void

### The `“sort-column”` property

      “sort-column”              ThunarColumn

The sort column currently used for this view.

Owner: ThunarStandardView

Flags: Read / Write

Default value: THUNAR_COLUMN_NAME

### The `“sort-column-default”` property

      “sort-column-default”      ThunarColumn

Only relevant for directory specific settings The sort column to use if no directory specific settings are found for a directory

Owner: ThunarStandardView

Flags: Write / Construct Only

Default value: THUNAR_COLUMN_NAME

### The `“sort-order”` property

      “sort-order”               GtkSortType

The sort order currently used for this view.

Owner: ThunarStandardView

Flags: Read / Write

Default value: GTK_SORT_ASCENDING

### The `“sort-order-default”` property

      “sort-order-default”       GtkSortType

Only relevant for directory specific settings The sort order to use if no directory specific settings are found for a directory

Owner: ThunarStandardView

Flags: Write / Construct Only

Default value: GTK_SORT_ASCENDING

### The `“statusbar-text”` property

      “statusbar-text”           char *

The text to be displayed in the status bar.

Owner: ThunarStandardView

Flags: Read

Default value: NULL

### The `“thumbnail-draw-frames”` property

      “thumbnail-draw-frames”    gboolean

Whether to draw black frames around thumbnails. This looks neat, but will delay the first draw a bit. May have an impact on older systems, on folders with many pictures.

Owner: ThunarStandardView

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“start-open-location”` signal

    void
    user_function (ThunarStandardView *thunarstandardview,
                   char               *arg1,
                   gpointer            user_data)

Flags: Run Last